summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Mihai Militaru <mihai.militaru@gmx.com>2010-05-12 23:30:00 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:30:00 +0200
commit861ff71e559666adbc23c76cc3cc160249b1f3c4 (patch)
tree60f4d34f32cca169d0264780d0e04147c208d7f1 /libraries
parente91f1ffad9d81c24ffaac5e739f90c6e3f8973db (diff)
downloadslackbuilds-861ff71e559666adbc23c76cc3cc160249b1f3c4.tar.gz
slackbuilds-861ff71e559666adbc23c76cc3cc160249b1f3c4.tar.xz
libraries/cddb-py: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/cddb-py/README5
-rw-r--r--libraries/cddb-py/cddb-py.SlackBuild58
-rw-r--r--libraries/cddb-py/cddb-py.info8
-rw-r--r--libraries/cddb-py/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/libraries/cddb-py/README b/libraries/cddb-py/README
new file mode 100644
index 0000000000..7bccd8839f
--- /dev/null
+++ b/libraries/cddb-py/README
@@ -0,0 +1,5 @@
+This is actually a set of three modules to access the CDDB and FreeDB
+online databases of audio CD track titles and information. It includes a C
+extension module to fetch track lengths under Linux, FreeBSD, OpenBSD, Mac
+OS X, Solaris, and Win32, which is easily ported to other operating systems.
+
diff --git a/libraries/cddb-py/cddb-py.SlackBuild b/libraries/cddb-py/cddb-py.SlackBuild
new file mode 100644
index 0000000000..62fcfe214d
--- /dev/null
+++ b/libraries/cddb-py/cddb-py.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for cddb-py
+
+# Written by Mihai Militaru <mihai.militaru@gmx.com>
+# March 2009
+
+PRGNAM=cddb-py
+ORIGNAM=CDDB
+VERSION=${VERSION:-1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING CHANGES README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$ORIGNAM.tar.gz
+cd $ORIGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root $PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a \
+ $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/cddb-py/cddb-py.info b/libraries/cddb-py/cddb-py.info
new file mode 100644
index 0000000000..1a05b0e8dd
--- /dev/null
+++ b/libraries/cddb-py/cddb-py.info
@@ -0,0 +1,8 @@
+PRGNAM="cddb-py"
+VERSION="1.4"
+HOMEPAGE="http://cddb-py.sourceforge.net/"
+DOWNLOAD="http://cddb-py.sourceforge.net/CDDB.tar.gz"
+MD5SUM="254698082bafe3030d07d88fb7e13fe2"
+MAINTAINER="Mihai Militaru"
+EMAIL="mihai.militaru@gmx.com"
+APPROVED="dsomero"
diff --git a/libraries/cddb-py/slack-desc b/libraries/cddb-py/slack-desc
new file mode 100644
index 0000000000..2215028cbc
--- /dev/null
+++ b/libraries/cddb-py/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+cddb-py: cddb-py (CDDB and FreeDB audio CD track info access in Python)
+cddb-py:
+cddb-py: This is actually a set of three modules to access the CDDB and
+cddb-py: FreeDB online databases of audio CD track titles and information.
+cddb-py: It includes a C extension module to fetch track lengths under
+cddb-py: Linux, FreeBSD, OpenBSD, Mac OS X, Solaris, and Win32, which is
+cddb-py: easily ported to other operating systems.
+cddb-py:
+cddb-py: Homepage: http://cddb-py.sourceforge.net/
+cddb-py:
+cddb-py: